List block entries

Returns block entries, optionally filtered by block type and active state, with limit and offset paging.

GET
/v1/email/blocks

Returns block entries, optionally filtered by block type and active state, with limit and offset paging.

x-api-key<token>

In: header

Query Parameters

blockType?|null
isActive?string|null
limit?string|null
offset?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/email/blocks"
{  "blocks": [    {      "id": "string",      "blockType": "email",      "blockValue": "string",      "reason": "string",      "notes": "string",      "isActive": true,      "blockCount": 0,      "lastBlockedAt": "string",      "expiresAt": "string",      "createdAt": "string"    }  ],  "total": 0}

Related